RU_TTS(1)

NAME
ru_tts - software Russian TTS engine

SYNOPSIS
ru_tts [options]
ru_speak [options]

DESCRIPTION
This manual page documents briefly the ru-tts and ru_speak commands.

ru-tts is a program that takes Russian text in koi8-r charset on it's standard input and produces digital sound stream in the raw linear signed 8-bit 10 kHz format on the standard output.

ru-speak is a simple wrapper around ru-tts. It takes Russian text on it's standard input, convert it into the spoken speech and plays produced sound via play utility from the sox package.

OPTIONS
Both programs recognize the same set of options.

-h
    Show summary of options.

-p pitch
    Set voice pitch. The value must be between 0 and 1. Greater value implies higher pitch.

-r rate
    Set speech rate. The value must be between 0 and 1. Greater value implies slower speech.

-m
    Absolutely monotone speech without intonations.

-v file
    Use external voice from given file instead of internal one by default.

-s path
    Points location of stress and pronunciation dictionary to use. You may use pronunciation dictionary shipped with the package rulex here.

-l file
    Save words that were not found in the dictionary in specified file. It is useful for dictionary developing.

SEE ALSO
sox(1), aplay(1), lexholder-ru(1).

AUTHOR
Igor B. Poretsky <poretsky@mlbox.ru>.